﻿Imports System.IO.IsolatedStorage

Partial Public Class Page
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub

    '保存ボタンクリック時のイベント・ハンドラ
    Private Sub buttonSave_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        Try
            '分離ストレージに保存する
            IsolatedStorageSettings.ApplicationSettings("SimpleMemo") = Me.textBoxBody.Text
            IsolatedStorageSettings.ApplicationSettings.Save()
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    '読出ボタンクリック時のイベント・ハンドラ
    Private Sub buttonLoad_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        Try
            '分離ストレージから読出す
            Me.textBoxBody.Text = IsolatedStorageSettings.ApplicationSettings("SimpleMemo").ToString()
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    'クリアボタンクリック時のイベント・ハンドラ
    Private Sub buttonClear_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        Me.textBoxBody.Text = String.Empty
    End Sub
End Class